# webvttenc

WebVTT subtitle encoder

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──webvttenc

## Factory details

Authors: – David Schleef <ds@schleef.org></ds@schleef.org>

Classification: – `Codec/Encoder/Subtitle`

Rank – none

Plugin – subenc

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    text/x-raw:
             format: { pango-markup, utf8 }

Presence – always

Direction – sink

Object type – GstPad

### `src`

    application/x-subtitle-vtt:

Presence – always

Direction – src

Object type – GstPad

## Properties

### duration

    “duration” gint64

Offset for the duration of the subtitles

Flags : Read / Write

Default value : 0

### timestamp

    “timestamp” gint64

Offset for the starttime for the subtitles

Flags : Read / Write

Default value : 0

The results of the search are